<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="author" content="Space Geodesy Group, ETH Zurich, Developer: Luisa Wunderlin">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Satellite Database</title>

    {% load static %}
    <link rel="stylesheet" type="text/css" href="{% static 'css/fonts.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/styles.css' %}">
    <link rel="shortcut icon" type="image/x-icon" href="{% static 'images/satellite_favicon.png' %}">
    <script src="{% static 'js/homepage.js' %}"></script>
</head>


<body>

<!-- HEADER -->
{% include "header.html" %}


<!-- BODY -->
<div class="body-wrapper">

    <h1>Search Results</h1>

    <h2>Query</h2>

    <p>Showing search results for:</p>

    <!-- QUERY -->
    <div class="result-wrapper">
        <p><b>Start Date:</b> {{ query_str.start }} (UTC) <br>
        <b>End Date:</b> {{ query_str.end }} (UTC) <br>
        <b>Include Days Before:</b> {{ query.before }} <br>
        <b>Include Days After:</b> {{ query.after }} <br>
        <b>Object Name: </b> {{ query.object_name }} <br>
        <b>NORAD-ID: </b> {{ query.norad_id }} <br>
        <b>Include Entries without Frequency Data:</b> {{ query.without_frequency_data }} <br>
        <b>Frequencies:</b> {{ query.frequency_list }}</p>

        {% if query.message %}
                <p> <b>Attention:</b>
                {{ query.message }}
                </p>
        {% endif %}

        <p><b>Query as API call:</b></p>
        <p>
            {{ query_str.api_call }}
        </p>

        <!-- DOWNLOAD BUTTON -->
        <div class="center-h">
            <button onclick="window.location.href='/download-search'" class="download-button">
            download TLEs
            </button>
        </div>

    </div>


    <h2>Results</h2>

    {% if query_str.length > 500 %}
        <p>Only showing 500 out of {{ query_str.length }} Two-Line Element Sets. To get the full data, please download the results using the button above.</p>
    {% else %}
        <p>Showing {{ query_str.length }} Two-Line Element Sets.</p>
    {% endif %}
        <p>Use the button to toggle between viewing the output grouped by satellites and as raw TLEs.</p>

    <!-- RESULTS -->
    <button onclick="ToggleView()" class="toggleview">
        toggle view
    </button>

    <div class="acclist" id="acclist" style="display:block">
        <div>
        {% for entry in results %}
            {% ifchanged entry.satellite__object_name %}
                </div>
                    <button class="accordion"><b>{{ entry.satellite__object_name }}</b></button>
                <div class="panel">
            {% endifchanged %}
            <tt>
                {% autoescape on %}
                {{ entry.norad_str | linebreaksbr }}
                {% endautoescape %}
            </tt>
            <br><br>
        {% endfor %}
        </div>
    </div>

    <div class="raw" id="raw" style="display:none">
	{% if query_str.length > 500 %}
		ONLY SHOWING 500 OUT OF {{ query_str.length }} ENTRIES! <br><br>
	{% endif %}
	
        {% for entry in results %}
            <br>
            {{ entry.norad_str | linebreaksbr }}
        {% endfor %}

    </div>

</div>




<!-- ACCORDION SCRIPT -->
<script>
var acc = document.getElementsByClassName("accordion");
var i;

for (i = 0; i < acc.length; i++) {
  acc[i].addEventListener("click", function() {
    /* Toggle between adding and removing the "active" class,
    to highlight the button that controls the panel */
    this.classList.toggle("active");

    /* Toggle between hiding and showing the active panel */
    var panel = this.nextElementSibling;
    if (panel.style.display === "block") {
      panel.style.display = "none";
    } else {
      panel.style.display = "block";
    }
  });
}

var acclist = document.getElementById("acclist");
var raw = document.getElementById("raw");

function ToggleView() {
    if (acclist.style.display === "none") {
        acclist.style.display = "block";
        raw.style.display = "none";
    } else {
        acclist.style.display = "none";
        raw.style.display = "block";
    }
}

</script>


<!-- FOOTER -->
{% include 'footer.html' %}


</body>
</html>
